Lấy thông tin tài sản
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/account_balances/{investorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/account_balances/{investorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/account_balances/{investorId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/account_balances/{investorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"bankId": 123,
"bankAccountId": 123,
"investorId": 123,
"investorAccountId": 123,
"totalAsset": 123,
"investorCount": 123,
"dealCount": 123,
"totalDealValue": 123,
"totalDebt": 123,
"totalSecure": 123,
"nav": 123,
"totalOpenQuantity": 123,
"totalOpenValue": 123,
"totalLoanCash": 123,
"totalLoanStock": 123,
"collateralLong": 123,
"collateralShort": 123,
"availableCash": 123,
"initCash": 123,
"taxCredit": 123,
"withdrawalCash": 123,
"holdOvernightSecure": 123,
"estimateHoldOvernightSecure": 123,
"withdrawFee": 123,
"withdrawThreshold": 123,
"withdrawGuaranteeAmount": 123,
"navExcludeEstimatedProfit": 123,
"depositionalCash": 123,
"vsdSecureDepositFee": 123,
"pendingVsdSecure": 123,
"receivable": 123,
"cashOnHand": 123,
"totalDerivativeDealSecure": 123,
"holdCollateralFee": 123,
"maxWithdraw": 123,
"maxWithdrawPoint": 123,
"createdDate": "<string>",
"id": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Tài khoản
Lấy thông tin tài sản
Lấy thông tin tài sản của tiểu khoản master theo investorId.
GET
/
account_balances
/
{investorId}
Lấy thông tin tài sản
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/account_balances/{investorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/account_balances/{investorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/account_balances/{investorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/account_balances/{investorId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/account_balances/{investorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"bankId": 123,
"bankAccountId": 123,
"investorId": 123,
"investorAccountId": 123,
"totalAsset": 123,
"investorCount": 123,
"dealCount": 123,
"totalDealValue": 123,
"totalDebt": 123,
"totalSecure": 123,
"nav": 123,
"totalOpenQuantity": 123,
"totalOpenValue": 123,
"totalLoanCash": 123,
"totalLoanStock": 123,
"collateralLong": 123,
"collateralShort": 123,
"availableCash": 123,
"initCash": 123,
"taxCredit": 123,
"withdrawalCash": 123,
"holdOvernightSecure": 123,
"estimateHoldOvernightSecure": 123,
"withdrawFee": 123,
"withdrawThreshold": 123,
"withdrawGuaranteeAmount": 123,
"navExcludeEstimatedProfit": 123,
"depositionalCash": 123,
"vsdSecureDepositFee": 123,
"pendingVsdSecure": 123,
"receivable": 123,
"cashOnHand": 123,
"totalDerivativeDealSecure": 123,
"holdCollateralFee": 123,
"maxWithdraw": 123,
"maxWithdrawPoint": 123,
"createdDate": "<string>",
"id": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Ủy quyền
JWT token lấy từ API đăng nhập.
Tham số đường dẫn
Mã khách hàng
Phản hồi
Thành công
Mã khách hàng
Mã tiểu khoản
Cọc đã sử dụng
NAV
Cọc còn lại
Cọc còn lại đầu ngày
Số tiền có thể rút
Cọc giữ qua đêm
NAV không bao gồm lãi/lỗ tạm tính
Lãi/lỗ đã chốt trong ngày
Tổng cọc trong deal
Số tiền tối đa có thể rút